## taginject

taginject

## Properties

gchar * | tags | Write

## Types and Values

struct | GstTagInject

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstTagInject

## Description

Element that injects new metadata tags, but passes incoming data through unmodified.

### Example launch lines

    1

    gst-launch-1.0 audiotestsrc num-buffers=100 ! taginject tags="title=testsrc,artist=gstreamer" ! vorbisenc ! oggmux ! filesink location=test.ogg

set title and artist

    1

    gst-launch-1.0 audiotestsrc num-buffers=100 ! taginject tags="keywords=\{\"testone\",\"audio\"\},title=\"audio\ testtone\"" ! vorbisenc ! oggmux ! filesink location=test.ogg

set keywords and title demonstrating quoting of special chars and handling lists

## Synopsis

### Element Information

plugin | debug
author | Stefan Kost <ensonic@users.sf.net>
class | Generic

### Element Pads

name | sink
direction | sink
presence | always
details | ANY

name | src
direction | source
presence | always
details | ANY

## Functions

## Types and Values

### struct GstTagInject

    struct GstTagInject;

Opaque GstTagInject data structure

## Property Details

### The `“tags”` property

      “tags”                     gchar *

List of tags to inject into the target file.

Owner: GstTagInject

Flags: Write

Default value: NULL